Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.lifecycle
Class LifecycleImpl

    java.lang.Object
      javax.faces.lifecycle.Lifecycle
          org.apache.myfaces.lifecycle.LifecycleImpl

public class LifecycleImpl
extends javax.faces.lifecycle.Lifecycle

Implements the lifecycle as described in Spec. 1.0 PFD Chapter 2

Version:
  $Revision: 294841 $ $Date: 2005-10-04 13:13:34 -0400 (Tue, 04 Oct 2005) $
Author:
  Manfred Geiler (latest modification by $Author: bdudney $)

Constructor Summary
`LifecycleImpl()`

Method Summary
`void` | `addPhaseListener(javax.faces.event.PhaseListener phaseListener)`
`void` | `execute(javax.faces.context.FacesContext facesContext)`
`javax.faces.event.PhaseListener[]` | `getPhaseListeners()`
`void` | `removePhaseListener(javax.faces.event.PhaseListener phaseListener)`
`void` | `render(javax.faces.context.FacesContext facesContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleImpl

    public LifecycleImpl()

Method Detail

### execute

    public void execute(javax.faces.context.FacesContext facesContext)
                 throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### render

    public void render(javax.faces.context.FacesContext facesContext)
                throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### addPhaseListener

    public void addPhaseListener(javax.faces.event.PhaseListener phaseListener)

### removePhaseListener

    public void removePhaseListener(javax.faces.event.PhaseListener phaseListener)

### getPhaseListeners

    public javax.faces.event.PhaseListener[] getPhaseListeners()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD